<?php
/*
Plugin Name: Zoyinc TinyMCE Buttons
Plugin URI: http://www.zoyinc.com/
Description: Adds custom TinyMCE buttons.
Version: 0.1
Author: Tony P
Author URI: http://www.zoyinc.com/
License: GPLv3
*/

define('WPHB_VERSION', '0.2');
define('WPHB_PLUGIN_URL', plugin_dir_url( __FILE__ ));


function add_zbuttons() {
	if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') )
		return;

	if ( get_user_option('rich_editing') == 'true') {
		add_filter('mce_external_plugins', 'add_zbuttons_tinymce');
		add_filter('mce_buttons', 'register_zbuttons');
	}
}

function register_zbuttons($buttons) {
   # If you want multiple buttons enable the below line instead
	#array_push($buttons, '|', 'zbutton1', 'zbutton2');
	array_push($buttons, '|', 'zbutton1');
	return $buttons;
}

function add_zbuttons_tinymce($plugin_array) {
	$plugin_array['wpzbuttons'] = WPHB_PLUGIN_URL . '/js/tinymce_buttons_editor_plugin.js';
	return $plugin_array;
}

function wphb_admin_css() {
	echo '<style type="text/css" media="all">.wp_themeSkin .mceButton { margin: 0 !important; padding: 0 !important; }</style>';
}

add_action('admin_head', 'wphb_admin_css');
add_action('init', 'add_zbuttons');
